<template>
    <div :class="noroll?'noroll':''">
        <!-- 加载组件 -->
        <div class = "lod">
          <Loading></Loading>
        </div>
        <!-- 头部组件 -->
        <SportsHead></SportsHead>
        <!-- 首页球类组件 -->
        <ScrollNav></ScrollNav>
        <!-- 首页滚球盘组件 -->
        <BallDisc></BallDisc>
        <!-- 特色赛事组件 -->
        <Characteristic></Characteristic>
        <!-- 体育组件 -->
        <StSports></StSports>
        <!-- 尾部组件 -->
        <LinkFooter></LinkFooter> 
    </div>
</template>
<script>
import '@/css/index.css';
import  BallDisc from '@/components/StBallDisc';
import  ScrollNav from '@/components/StScrollNav';
import  SportsHead from '@/components/StSportsHead';
import  LinkFooter from '@/components/StLinkFooter';
import Characteristic from'@/components/StCharacteristic';
import Loading from '@/components/StLoading';
import StSports from'@/components/StSports';
export default {
    name:'Home',
    components:{
        SportsHead,
        ScrollNav,
        BallDisc,
        LinkFooter,
        Characteristic,
        StSports,
        Loading,
    },
    data(){
        return{
            data:'',
            noroll:false,
        }
    },
    methods:{
        //获取玩法别名
        getAjaxanme:function(){
            this.$http.get(this.$ports.gambling.getOddsCode, {
            type:'p_code'
            }).then(res => {
                this.$store.dispatch("SET_PLAYALIAS",res.data.data );
                // console.log(res.data.data);
            })
        },
    },
    computed:{
        noRoll(){
            return this.$store.getters.getNoRoll
        }
    },
    watch:{
        noRoll(val){
            this.noroll=val
        }
    },
    mounted(){
        // 导航初始化
        this.$store.dispatch("GETACTIVITY", "home");
        this.getAjaxanme();
    }

}
</script>
<style scoped>
.noroll{
    position: fixed;
     width: 100%;
    top: 0;
    left: 0;
}
    .lod{
        z-index: 999;
        position: fixed;
        width: 100%;
    }
    .login{
        z-index: 99999;
        position: fixed;
        top: 0;
    }
</style>


